
Figure - Bug #116442
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试12小时，出现ANR: com.android.music（3）
2023-02-22 11:45 - CD Test赵飞

Status: CLOSED Start date: 2023-02-22

Priority: Normal Due date: 2023-03-15

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0076.X101

Resolution: DUPLICATE Degrated: --

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: Monkey Test Root cause: 与116540产生原因相同

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 86400 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

// NOT RESPONDING: com.android.music (pid 3555)

ANR in com.android.music (com.android.music/.MusicBrowserActivity)

PID: 3555

Reason: Input dispatching timed out (Application does not have a focused window)

Parent: com.android.music/.MusicBrowserActivity

Frozen: false

Load: 0.34 / 1.35 / 1.56

----- Output from /proc/pressure/memory -----

some avg10=0.00 avg60=0.00 avg300=0.00 total=0

full avg10=0.00 avg60=0.00 avg300=0.00 total=0

----- End output from /proc/pressure/memory -----

CPU usage from 6570ms to 0ms ago (2023-02-21 21:31:43.933 to 2023-02-21 21:31:50.502):

  7.1% 1518/system_server: 4.4% user + 2.7% kernel / faults: 9927 minor

  0.3% 837/vendor.qti.hardware.display.composer-service: 0.2% user + 0% kernel / faults: 19 minor

  0.3% 892/surfaceflinger: 0.2% user + 0% kernel / faults: 39 minor

  1.2% 9170/kworker/u16:15-memlat_wq: 0% user + 1.2% kernel

  1% 13371/kworker/u16:1-governor_msm_adreno_tz_: 0% user + 1% kernel

  0.1% 1977/com.android.systemui: 0.1% user + 0% kernel / faults: 620 minor

  0% 21/ksoftirqd/1: 0% user + 0% kernel

  0% 724/crtc_commit:125: 0% user + 0% kernel

  0.1% 9169/kworker/u16:14-governor_msm_adreno_tz_: 0% user + 0.1% kernel

  0% 1/init: 0% user + 0% kernel

...
【日志】

见附件

Related issues:

Related to Figure - Bug # 116540: 【AF】【EVT3】【Monkey】Monke... CLOSED 2023-02-24 2023-03-15

History

#1 - 2023-02-27 14:46 - CD APP-王营

- Due date set to 2023-03-15

- Status changed from New to ASSIGNED

#2 - 2023-02-28 10:24 - CD APP-王营

- Status changed from ASSIGNED to NEED_INFO

to 赵飞

当前ANR问题原因相同，都在票#116540上跟踪和更新状态，请关闭此票。

#3 - 2023-02-28 10:27 - CD APP-王营

- Assignee changed from CD APP-王营 to CD Test赵飞

#4 - 2023-02-28 10:47 - CD Test赵飞

- Status changed from NEED_INFO to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Root cause set to 与116540产生原因相同

关与116540产生原因相同，在116540中跟踪，关闭此问题

#5 - 2023-02-28 10:47 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

#6 - 2023-02-28 10:47 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

Files

Tlog.zip 39 MB 2023-02-22 CD Test赵飞
